Package org.globus.util.http

# Class HTTPProtocol

java.lang.Object
org.globus.util.http.HTTPProtocol

Direct Known Subclasses:
  `GRAMProtocol`

public class HTTPProtocol extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHUNKED`
`static final String`
`CHUNKING`
`static final String`
`CONNECTION`
`static final String`
`CONNECTION_CLOSE`
`static final String`
`CONTENT_LENGTH`
`static final String`
`CONTENT_TYPE`
`static final String`
`CRLF`
`static final String`
`HOST`
`static final String`
`HTTP_VERSION`
`static final String`
`LOCATION`
`static final String`
`METHOD`
`static final String`
`SERVER`
`static final String`
`USER_AGENT`

## Constructor Summary

Constructors
Constructor
Description
`HTTPProtocol()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`createGETHeader(String path, String host, String user_agent)`
`protected static String`
`createHTTPHeader(String service, String hostname, String application, StringBuffer msg)`
`static String`
`createPUTHeader(String path, String host, String user_agent, String type, long length, boolean append)`
`static String`
`ErrorReply(int error, String msg)`
`static String`
`getBadRequestErrorReply()`
`static String`
`getErrorReply(int error, String message)`
`static String`
`getFileNotFoundErrorReply()`
`static String`
`getForbiddenErrorReply()`
`static String`
`getOKReply(String application)`
`static String`
`getOKReply(String application, String msg)`
`static String`
`getServerErrorReply()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CRLF

public static final String CRLF

See Also:
  - Constant Field Values

### HTTP_VERSION

public static final String HTTP_VERSION

See Also:
  - Constant Field Values

### METHOD

public static final String METHOD

See Also:
  - Constant Field Values

### HOST

public static final String HOST

See Also:
  - Constant Field Values

### CONTENT_LENGTH

public static final String CONTENT_LENGTH

See Also:
  - Constant Field Values

### CONTENT_TYPE

public static final String CONTENT_TYPE

See Also:
  - Constant Field Values

### USER_AGENT

public static final String USER_AGENT

See Also:
  - Constant Field Values

### SERVER

public static final String SERVER

See Also:
  - Constant Field Values

### CONNECTION

public static final String CONNECTION

See Also:
  - Constant Field Values

### LOCATION

public static final String LOCATION

See Also:
  - Constant Field Values

### CHUNKED

public static final String CHUNKED

See Also:
  - Constant Field Values

### CONNECTION_CLOSE

public static final String CONNECTION_CLOSE

See Also:
  - Constant Field Values

### CHUNKING

public static final String CHUNKING

See Also:
  - Constant Field Values

## Constructor Details

### HTTPProtocol

public HTTPProtocol()

## Method Details

### createHTTPHeader

protected static String createHTTPHeader(String service, String hostname, String application, StringBuffer msg)

### createGETHeader

public static String createGETHeader(String path, String host, String user_agent)

### createPUTHeader

public static String createPUTHeader(String path, String host, String user_agent, String type, long length, boolean append)

### ErrorReply

public static String ErrorReply(int error, String msg)

### getErrorReply

public static String getErrorReply(int error, String message)

### getBadRequestErrorReply

public static String getBadRequestErrorReply()

### getFileNotFoundErrorReply

public static String getFileNotFoundErrorReply()

### getServerErrorReply

public static String getServerErrorReply()

### getForbiddenErrorReply

public static String getForbiddenErrorReply()

### getOKReply

public static String getOKReply(String application)

### getOKReply

public static String getOKReply(String application, String msg)